<div id="menu_seo_desktop">
    
    {capture name="mega_menu_seo" assign=mega_menu_seo}
        
        {assign var=_counter value=0}
        {function name="menu" nodes=[] depth=0 parent=null}
            {if $nodes|count}
              <ul class="top-menu" {if $depth == 0}id="top-menu"{/if} data-depth="{$depth}">
                {foreach from=$nodes item=node}
                    <li class="{$node.type}{if $node.current} current {/if}" id="{$node.page_identifier}">
                    {assign var=_counter value=$_counter+1}
                      <a
                        class="{if $depth >= 0}dropdown-item{/if}{if $depth === 1} dropdown-submenu{/if}"
                        href="{$node.url}" data-depth="{$depth}"
                        {if $node.open_in_new_window} target="_blank" {/if}
                      >
                        {if $node.children|count}
                          {* Cannot use page identifier as we can have the same page several times *}
                          {assign var=_expand_id value=10|mt_rand:100000}
                          <span class="float-xs-right hidden-md-up">
                            <span data-target="#top_sub_menu_{$_expand_id}" data-toggle="collapse" class="navbar-toggler collapse-icons">
                              <i class="material-icons add">&#xE313;</i>
                              <i class="material-icons remove">&#xE316;</i>
                            </span>
                          </span>
                        {/if}
                        {$node.label}
                      </a>
                      {if $node.children|count}
                      <div {if $depth === 0} class="popover sub-menu js-sub-menu collapse"{else} class="collapse"{/if} id="top_sub_menu_{$_expand_id}">
                        {menu nodes=$node.children depth=$node.depth parent=$node}
                      </div>
                      {/if}
                    </li>
                {/foreach}
              </ul>
            {/if}
        {/function}

        <div class="menu js-top-menu position-static hidden-sm-down" id="_desktop_top_menu">
            {menu nodes=$menu.children}
            <div class="clearfix"></div>
        </div>
        
  {/capture}

</div>
  
  
{* 10.07.19 - Webbax - TUTO SEO 37 *}
<script type="text/javascript">
    {literal}
    window.onload = function loadMenuSeo(){
        /* format ordinateur */
        if(screen.width>600){
            var encodedStrDesktop = '{/literal}{$mega_menu_seo|replace:"\r\n":""|replace:"\n":""}{literal}';
            var parser = new DOMParser;
            var dom = parser.parseFromString(encodedStrDesktop,'text/html');
            var decodedStringMenu = dom.body.textContent;
            document.getElementById('menu_seo_desktop').innerHTML = decodedStringMenu;
        /* format mobile */
        }else{
            var encodedStrMobile = '{/literal}{$mega_menu_seo|replace:"\r\n":""|replace:"\n":""|replace:"desktop":"mobile_seo"}{literal}';   
            var parser = new DOMParser;
            var dom = parser.parseFromString(encodedStrMobile,'text/html');
            var decodedStringMobileMenu = dom.body.textContent;
            document.getElementById('_mobile_top_menu').innerHTML = decodedStringMobileMenu;
            /* retrait des classes qui causent conflit */
            document.getElementById('_mobile_seo_top_menu').classList.remove('menu');
            document.getElementById('_mobile_seo_top_menu').classList.remove('js-top-menu');
            document.getElementById('_mobile_seo_top_menu').classList.remove('hidden-sm-down');
        }
    };
    {/literal}
</script>
